Bug 734162 - Improvement: (UXD) Non-editable checkbox in Roles is confusing
Improvement: (UXD) Non-editable checkbox in Roles is confusing
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.1
Unspecified Unspecified
medium Severity medium (vote)
: ---
: RHQ 4.3.0
Assigned To: Mike Thompson
Mike Foley
: FutureFeature
Depends On:
Blocks: rhq-uxd
  Show dependency treegraph
 
Reported: 2011-08-29 11:29 EDT by dgao
Modified: 2013-08-31 06:16 EDT (History)
3 users (show)

See Also:
Fixed In Version: 4.3.0
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-31 06:16:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description dgao 2011-08-29 11:29:44 EDT
Having an entire column worth of checkbox that cannot be enabled/disabled is confusing. Perhaps those checkbox should be grayed out to indicate that they are permission given to all the roles.
Comment 1 Mike Thompson 2012-01-31 16:01:56 EST
I have essentially added a third state: checked, unchecked, and now checked read-only (checked but disabled). This applies to the Read Resource Permissions column. Initially, these checkboxes in the grid are represented by images so cloned the checkbox image and photoshoped it to black/grey instead of green/grey. The new image is global/permission_checked_disabled_11.png and can be changed if this is not sufficient.
Comment 2 Mike Thompson 2012-01-31 16:25:04 EST
Commit ID: c37ea26
Comment 3 Charles Crouch 2012-02-21 12:12:15 EST
Setting Target Release correctly.
Comment 4 Sunil Kondkar 2012-04-13 08:25:43 EDT
Verified on build#1321 (Version: 4.4.0-SNAPSHOT Build Number: 472e72f)

The 'checked but disabled' read only check box images in Read Resource Permissions
column are now in black/grey.
Comment 5 Heiko W. Rupp 2013-08-31 06:16:01 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.